Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.9.5

Bug #3388 Notice with upgrade-all and PEAR 1.4.0a1
Submitted: 2005-02-06 06:45 UTC Modified: 2005-02-07 12:45 UTC
From: yunosh Assigned: cellog
Status: Closed Package: PEAR
PHP Version: Irrelevant OS:
Roadmaps: (Not assigned)    
Subscription  


 [2005-02-06 06:45 UTC] yunosh
Description: ------------ neo:~ # pear list-upgrades pear.php.net Available Upgrades (alpha, beta, stable): ====================================================== Channel Package Local Remote Size pear.php.net File 1.1.0RC3 (beta) 1.1.0RC5 (beta) 14.5kB pear.php.net Net_Sieve 1.1.0 (stable) 1.1.1 (stable) 9.6kB pear.php.net Text_Highlighter 0.6.1 (beta) 0.6.2 (beta) 54kB pear.php.net Text_Wiki 0.23.1 (alpha) 0.25.0 (beta) 46kB pear.php.net XML_RPC 1.2.0RC3 (beta) 1.2.0RC6 (beta) 18.3kB neo:~ # pear upgrade-all Notice: Undefined index: attribs in PEAR/ChannelFile.php on line 928 Will upgrade file Will upgrade net_sieve Will upgrade text_highlighter Will upgrade text_wiki Will upgrade xml_rpc

Comments

 [2005-02-06 10:06 UTC] cellog
thanks for this reminder
 [2005-02-06 16:31 UTC] cellog
Would you tell me 1) had you upgraded PEAR from an older dev version of 1.4.0? 2) if you run "pear channel-update pear" and try again, does the notice still exist? Thanks, Greg
 [2005-02-06 18:24 UTC] yunosh
I upgraded from the last stable version. channel-updated didn't change anything.
 [2005-02-07 12:45 UTC] cellog
This bug has been fixed in CVS. In case this was a documentation problem, the fix will show up at the end of next Sunday (CET) on pear.php.net. In case this was a pear.php.net website problem, the change will show up on the website in short time. Thank you for the report, and for helping us make PEAR better. The problem is that upgrade-all was attempting to retrieve upgrades from the __uri channel, which is absurd.